package com.ruoyi.system.domain.lawcase;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class CaseLawEnforcementExample implements Serializable {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    private static final long serialVersionUID = 1L;

    public CaseLawEnforcementExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria implements Serializable {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andSjqlssIsNull() {
            addCriterion("sjqlss is null");
            return (Criteria) this;
        }

        public Criteria andSjqlssIsNotNull() {
            addCriterion("sjqlss is not null");
            return (Criteria) this;
        }

        public Criteria andSjqlssEqualTo(String value) {
            addCriterion("sjqlss =", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssNotEqualTo(String value) {
            addCriterion("sjqlss <>", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssGreaterThan(String value) {
            addCriterion("sjqlss >", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssGreaterThanOrEqualTo(String value) {
            addCriterion("sjqlss >=", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssLessThan(String value) {
            addCriterion("sjqlss <", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssLessThanOrEqualTo(String value) {
            addCriterion("sjqlss <=", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssLike(String value) {
            addCriterion("sjqlss like", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssNotLike(String value) {
            addCriterion("sjqlss not like", value, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssIn(List<String> values) {
            addCriterion("sjqlss in", values, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssNotIn(List<String> values) {
            addCriterion("sjqlss not in", values, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssBetween(String value1, String value2) {
            addCriterion("sjqlss between", value1, value2, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andSjqlssNotBetween(String value1, String value2) {
            addCriterion("sjqlss not between", value1, value2, "sjqlss");
            return (Criteria) this;
        }

        public Criteria andAjbmIsNull() {
            addCriterion("ajbm is null");
            return (Criteria) this;
        }

        public Criteria andAjbmIsNotNull() {
            addCriterion("ajbm is not null");
            return (Criteria) this;
        }

        public Criteria andAjbmEqualTo(String value) {
            addCriterion("ajbm =", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmNotEqualTo(String value) {
            addCriterion("ajbm <>", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmGreaterThan(String value) {
            addCriterion("ajbm >", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmGreaterThanOrEqualTo(String value) {
            addCriterion("ajbm >=", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmLessThan(String value) {
            addCriterion("ajbm <", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmLessThanOrEqualTo(String value) {
            addCriterion("ajbm <=", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmLike(String value) {
            addCriterion("ajbm like", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmNotLike(String value) {
            addCriterion("ajbm not like", value, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmIn(List<String> values) {
            addCriterion("ajbm in", values, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmNotIn(List<String> values) {
            addCriterion("ajbm not in", values, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmBetween(String value1, String value2) {
            addCriterion("ajbm between", value1, value2, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjbmNotBetween(String value1, String value2) {
            addCriterion("ajbm not between", value1, value2, "ajbm");
            return (Criteria) this;
        }

        public Criteria andAjlyLxIsNull() {
            addCriterion("ajly_lx is null");
            return (Criteria) this;
        }

        public Criteria andAjlyLxIsNotNull() {
            addCriterion("ajly_lx is not null");
            return (Criteria) this;
        }

        public Criteria andAjlyLxEqualTo(String value) {
            addCriterion("ajly_lx =", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxNotEqualTo(String value) {
            addCriterion("ajly_lx <>", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxGreaterThan(String value) {
            addCriterion("ajly_lx >", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxGreaterThanOrEqualTo(String value) {
            addCriterion("ajly_lx >=", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxLessThan(String value) {
            addCriterion("ajly_lx <", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxLessThanOrEqualTo(String value) {
            addCriterion("ajly_lx <=", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxLike(String value) {
            addCriterion("ajly_lx like", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxNotLike(String value) {
            addCriterion("ajly_lx not like", value, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxIn(List<String> values) {
            addCriterion("ajly_lx in", values, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxNotIn(List<String> values) {
            addCriterion("ajly_lx not in", values, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxBetween(String value1, String value2) {
            addCriterion("ajly_lx between", value1, value2, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyLxNotBetween(String value1, String value2) {
            addCriterion("ajly_lx not between", value1, value2, "ajlyLx");
            return (Criteria) this;
        }

        public Criteria andAjlyMcIsNull() {
            addCriterion("ajly_mc is null");
            return (Criteria) this;
        }

        public Criteria andAjlyMcIsNotNull() {
            addCriterion("ajly_mc is not null");
            return (Criteria) this;
        }

        public Criteria andAjlyMcEqualTo(String value) {
            addCriterion("ajly_mc =", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcNotEqualTo(String value) {
            addCriterion("ajly_mc <>", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcGreaterThan(String value) {
            addCriterion("ajly_mc >", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcGreaterThanOrEqualTo(String value) {
            addCriterion("ajly_mc >=", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcLessThan(String value) {
            addCriterion("ajly_mc <", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcLessThanOrEqualTo(String value) {
            addCriterion("ajly_mc <=", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcLike(String value) {
            addCriterion("ajly_mc like", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcNotLike(String value) {
            addCriterion("ajly_mc not like", value, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcIn(List<String> values) {
            addCriterion("ajly_mc in", values, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcNotIn(List<String> values) {
            addCriterion("ajly_mc not in", values, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcBetween(String value1, String value2) {
            addCriterion("ajly_mc between", value1, value2, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyMcNotBetween(String value1, String value2) {
            addCriterion("ajly_mc not between", value1, value2, "ajlyMc");
            return (Criteria) this;
        }

        public Criteria andAjlyDzIsNull() {
            addCriterion("ajly_dz is null");
            return (Criteria) this;
        }

        public Criteria andAjlyDzIsNotNull() {
            addCriterion("ajly_dz is not null");
            return (Criteria) this;
        }

        public Criteria andAjlyDzEqualTo(String value) {
            addCriterion("ajly_dz =", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzNotEqualTo(String value) {
            addCriterion("ajly_dz <>", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzGreaterThan(String value) {
            addCriterion("ajly_dz >", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzGreaterThanOrEqualTo(String value) {
            addCriterion("ajly_dz >=", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzLessThan(String value) {
            addCriterion("ajly_dz <", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzLessThanOrEqualTo(String value) {
            addCriterion("ajly_dz <=", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzLike(String value) {
            addCriterion("ajly_dz like", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzNotLike(String value) {
            addCriterion("ajly_dz not like", value, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzIn(List<String> values) {
            addCriterion("ajly_dz in", values, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzNotIn(List<String> values) {
            addCriterion("ajly_dz not in", values, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzBetween(String value1, String value2) {
            addCriterion("ajly_dz between", value1, value2, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyDzNotBetween(String value1, String value2) {
            addCriterion("ajly_dz not between", value1, value2, "ajlyDz");
            return (Criteria) this;
        }

        public Criteria andAjlyTelIsNull() {
            addCriterion("ajly_tel is null");
            return (Criteria) this;
        }

        public Criteria andAjlyTelIsNotNull() {
            addCriterion("ajly_tel is not null");
            return (Criteria) this;
        }

        public Criteria andAjlyTelEqualTo(String value) {
            addCriterion("ajly_tel =", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelNotEqualTo(String value) {
            addCriterion("ajly_tel <>", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelGreaterThan(String value) {
            addCriterion("ajly_tel >", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelGreaterThanOrEqualTo(String value) {
            addCriterion("ajly_tel >=", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelLessThan(String value) {
            addCriterion("ajly_tel <", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelLessThanOrEqualTo(String value) {
            addCriterion("ajly_tel <=", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelLike(String value) {
            addCriterion("ajly_tel like", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelNotLike(String value) {
            addCriterion("ajly_tel not like", value, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelIn(List<String> values) {
            addCriterion("ajly_tel in", values, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelNotIn(List<String> values) {
            addCriterion("ajly_tel not in", values, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelBetween(String value1, String value2) {
            addCriterion("ajly_tel between", value1, value2, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andAjlyTelNotBetween(String value1, String value2) {
            addCriterion("ajly_tel not between", value1, value2, "ajlyTel");
            return (Criteria) this;
        }

        public Criteria andSasjIsNull() {
            addCriterion("sasj is null");
            return (Criteria) this;
        }

        public Criteria andSasjIsNotNull() {
            addCriterion("sasj is not null");
            return (Criteria) this;
        }

        public Criteria andSasjEqualTo(String value) {
            addCriterion("sasj =", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjNotEqualTo(String value) {
            addCriterion("sasj <>", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjGreaterThan(String value) {
            addCriterion("sasj >", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjGreaterThanOrEqualTo(String value) {
            addCriterion("sasj >=", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjLessThan(String value) {
            addCriterion("sasj <", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjLessThanOrEqualTo(String value) {
            addCriterion("sasj <=", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjLike(String value) {
            addCriterion("sasj like", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjNotLike(String value) {
            addCriterion("sasj not like", value, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjIn(List<String> values) {
            addCriterion("sasj in", values, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjNotIn(List<String> values) {
            addCriterion("sasj not in", values, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjBetween(String value1, String value2) {
            addCriterion("sasj between", value1, value2, "sasj");
            return (Criteria) this;
        }

        public Criteria andSasjNotBetween(String value1, String value2) {
            addCriterion("sasj not between", value1, value2, "sasj");
            return (Criteria) this;
        }

        public Criteria andAfsjIsNull() {
            addCriterion("afsj is null");
            return (Criteria) this;
        }

        public Criteria andAfsjIsNotNull() {
            addCriterion("afsj is not null");
            return (Criteria) this;
        }

        public Criteria andAfsjEqualTo(String value) {
            addCriterion("afsj =", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjNotEqualTo(String value) {
            addCriterion("afsj <>", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjGreaterThan(String value) {
            addCriterion("afsj >", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjGreaterThanOrEqualTo(String value) {
            addCriterion("afsj >=", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjLessThan(String value) {
            addCriterion("afsj <", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjLessThanOrEqualTo(String value) {
            addCriterion("afsj <=", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjLike(String value) {
            addCriterion("afsj like", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjNotLike(String value) {
            addCriterion("afsj not like", value, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjIn(List<String> values) {
            addCriterion("afsj in", values, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjNotIn(List<String> values) {
            addCriterion("afsj not in", values, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjBetween(String value1, String value2) {
            addCriterion("afsj between", value1, value2, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfsjNotBetween(String value1, String value2) {
            addCriterion("afsj not between", value1, value2, "afsj");
            return (Criteria) this;
        }

        public Criteria andAfddIsNull() {
            addCriterion("afdd is null");
            return (Criteria) this;
        }

        public Criteria andAfddIsNotNull() {
            addCriterion("afdd is not null");
            return (Criteria) this;
        }

        public Criteria andAfddEqualTo(String value) {
            addCriterion("afdd =", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddNotEqualTo(String value) {
            addCriterion("afdd <>", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddGreaterThan(String value) {
            addCriterion("afdd >", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddGreaterThanOrEqualTo(String value) {
            addCriterion("afdd >=", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddLessThan(String value) {
            addCriterion("afdd <", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddLessThanOrEqualTo(String value) {
            addCriterion("afdd <=", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddLike(String value) {
            addCriterion("afdd like", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddNotLike(String value) {
            addCriterion("afdd not like", value, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddIn(List<String> values) {
            addCriterion("afdd in", values, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddNotIn(List<String> values) {
            addCriterion("afdd not in", values, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddBetween(String value1, String value2) {
            addCriterion("afdd between", value1, value2, "afdd");
            return (Criteria) this;
        }

        public Criteria andAfddNotBetween(String value1, String value2) {
            addCriterion("afdd not between", value1, value2, "afdd");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcIsNull() {
            addCriterion("dsr_fr_mc is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcIsNotNull() {
            addCriterion("dsr_fr_mc is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcEqualTo(String value) {
            addCriterion("dsr_fr_mc =", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotEqualTo(String value) {
            addCriterion("dsr_fr_mc <>", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcGreaterThan(String value) {
            addCriterion("dsr_fr_mc >", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_mc >=", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcLessThan(String value) {
            addCriterion("dsr_fr_mc <", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_mc <=", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcLike(String value) {
            addCriterion("dsr_fr_mc like", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotLike(String value) {
            addCriterion("dsr_fr_mc not like", value, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcIn(List<String> values) {
            addCriterion("dsr_fr_mc in", values, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotIn(List<String> values) {
            addCriterion("dsr_fr_mc not in", values, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcBetween(String value1, String value2) {
            addCriterion("dsr_fr_mc between", value1, value2, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrMcNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_mc not between", value1, value2, "dsrFrMc");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmIsNull() {
            addCriterion("dsr_fr_xm is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmIsNotNull() {
            addCriterion("dsr_fr_xm is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmEqualTo(String value) {
            addCriterion("dsr_fr_xm =", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotEqualTo(String value) {
            addCriterion("dsr_fr_xm <>", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmGreaterThan(String value) {
            addCriterion("dsr_fr_xm >", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_xm >=", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmLessThan(String value) {
            addCriterion("dsr_fr_xm <", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_xm <=", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmLike(String value) {
            addCriterion("dsr_fr_xm like", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotLike(String value) {
            addCriterion("dsr_fr_xm not like", value, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmIn(List<String> values) {
            addCriterion("dsr_fr_xm in", values, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotIn(List<String> values) {
            addCriterion("dsr_fr_xm not in", values, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmBetween(String value1, String value2) {
            addCriterion("dsr_fr_xm between", value1, value2, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrXmNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_xm not between", value1, value2, "dsrFrXm");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwIsNull() {
            addCriterion("dsr_fr_zw is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwIsNotNull() {
            addCriterion("dsr_fr_zw is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwEqualTo(String value) {
            addCriterion("dsr_fr_zw =", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotEqualTo(String value) {
            addCriterion("dsr_fr_zw <>", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwGreaterThan(String value) {
            addCriterion("dsr_fr_zw >", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_zw >=", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwLessThan(String value) {
            addCriterion("dsr_fr_zw <", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_zw <=", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwLike(String value) {
            addCriterion("dsr_fr_zw like", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotLike(String value) {
            addCriterion("dsr_fr_zw not like", value, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwIn(List<String> values) {
            addCriterion("dsr_fr_zw in", values, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotIn(List<String> values) {
            addCriterion("dsr_fr_zw not in", values, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwBetween(String value1, String value2) {
            addCriterion("dsr_fr_zw between", value1, value2, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrZwNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_zw not between", value1, value2, "dsrFrZw");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzIsNull() {
            addCriterion("dsr_fr_dz is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzIsNotNull() {
            addCriterion("dsr_fr_dz is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzEqualTo(String value) {
            addCriterion("dsr_fr_dz =", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotEqualTo(String value) {
            addCriterion("dsr_fr_dz <>", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzGreaterThan(String value) {
            addCriterion("dsr_fr_dz >", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_dz >=", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzLessThan(String value) {
            addCriterion("dsr_fr_dz <", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_dz <=", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzLike(String value) {
            addCriterion("dsr_fr_dz like", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotLike(String value) {
            addCriterion("dsr_fr_dz not like", value, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzIn(List<String> values) {
            addCriterion("dsr_fr_dz in", values, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotIn(List<String> values) {
            addCriterion("dsr_fr_dz not in", values, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzBetween(String value1, String value2) {
            addCriterion("dsr_fr_dz between", value1, value2, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrDzNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_dz not between", value1, value2, "dsrFrDz");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelIsNull() {
            addCriterion("dsr_fr_tel is null");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelIsNotNull() {
            addCriterion("dsr_fr_tel is not null");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelEqualTo(String value) {
            addCriterion("dsr_fr_tel =", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotEqualTo(String value) {
            addCriterion("dsr_fr_tel <>", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelGreaterThan(String value) {
            addCriterion("dsr_fr_tel >", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_fr_tel >=", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelLessThan(String value) {
            addCriterion("dsr_fr_tel <", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelLessThanOrEqualTo(String value) {
            addCriterion("dsr_fr_tel <=", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelLike(String value) {
            addCriterion("dsr_fr_tel like", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotLike(String value) {
            addCriterion("dsr_fr_tel not like", value, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelIn(List<String> values) {
            addCriterion("dsr_fr_tel in", values, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotIn(List<String> values) {
            addCriterion("dsr_fr_tel not in", values, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelBetween(String value1, String value2) {
            addCriterion("dsr_fr_tel between", value1, value2, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrFrTelNotBetween(String value1, String value2) {
            addCriterion("dsr_fr_tel not between", value1, value2, "dsrFrTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmIsNull() {
            addCriterion("dsr_gm_xm is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmIsNotNull() {
            addCriterion("dsr_gm_xm is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmEqualTo(String value) {
            addCriterion("dsr_gm_xm =", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotEqualTo(String value) {
            addCriterion("dsr_gm_xm <>", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmGreaterThan(String value) {
            addCriterion("dsr_gm_xm >", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xm >=", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmLessThan(String value) {
            addCriterion("dsr_gm_xm <", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xm <=", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmLike(String value) {
            addCriterion("dsr_gm_xm like", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotLike(String value) {
            addCriterion("dsr_gm_xm not like", value, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmIn(List<String> values) {
            addCriterion("dsr_gm_xm in", values, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotIn(List<String> values) {
            addCriterion("dsr_gm_xm not in", values, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmBetween(String value1, String value2) {
            addCriterion("dsr_gm_xm between", value1, value2, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXmNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_xm not between", value1, value2, "dsrGmXm");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbIsNull() {
            addCriterion("dsr_gm_xb is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbIsNotNull() {
            addCriterion("dsr_gm_xb is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbEqualTo(String value) {
            addCriterion("dsr_gm_xb =", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotEqualTo(String value) {
            addCriterion("dsr_gm_xb <>", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbGreaterThan(String value) {
            addCriterion("dsr_gm_xb >", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xb >=", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbLessThan(String value) {
            addCriterion("dsr_gm_xb <", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_xb <=", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbLike(String value) {
            addCriterion("dsr_gm_xb like", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotLike(String value) {
            addCriterion("dsr_gm_xb not like", value, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbIn(List<String> values) {
            addCriterion("dsr_gm_xb in", values, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotIn(List<String> values) {
            addCriterion("dsr_gm_xb not in", values, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbBetween(String value1, String value2) {
            addCriterion("dsr_gm_xb between", value1, value2, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmXbNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_xb not between", value1, value2, "dsrGmXb");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlIsNull() {
            addCriterion("dsr_gm_nl is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlIsNotNull() {
            addCriterion("dsr_gm_nl is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlEqualTo(String value) {
            addCriterion("dsr_gm_nl =", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotEqualTo(String value) {
            addCriterion("dsr_gm_nl <>", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlGreaterThan(String value) {
            addCriterion("dsr_gm_nl >", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_nl >=", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlLessThan(String value) {
            addCriterion("dsr_gm_nl <", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_nl <=", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlLike(String value) {
            addCriterion("dsr_gm_nl like", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotLike(String value) {
            addCriterion("dsr_gm_nl not like", value, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlIn(List<String> values) {
            addCriterion("dsr_gm_nl in", values, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotIn(List<String> values) {
            addCriterion("dsr_gm_nl not in", values, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlBetween(String value1, String value2) {
            addCriterion("dsr_gm_nl between", value1, value2, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmNlNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_nl not between", value1, value2, "dsrGmNl");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzIsNull() {
            addCriterion("dsr_gm_sfz is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzIsNotNull() {
            addCriterion("dsr_gm_sfz is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzEqualTo(String value) {
            addCriterion("dsr_gm_sfz =", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotEqualTo(String value) {
            addCriterion("dsr_gm_sfz <>", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzGreaterThan(String value) {
            addCriterion("dsr_gm_sfz >", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_sfz >=", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzLessThan(String value) {
            addCriterion("dsr_gm_sfz <", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_sfz <=", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzLike(String value) {
            addCriterion("dsr_gm_sfz like", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotLike(String value) {
            addCriterion("dsr_gm_sfz not like", value, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzIn(List<String> values) {
            addCriterion("dsr_gm_sfz in", values, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotIn(List<String> values) {
            addCriterion("dsr_gm_sfz not in", values, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzBetween(String value1, String value2) {
            addCriterion("dsr_gm_sfz between", value1, value2, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmSfzNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_sfz not between", value1, value2, "dsrGmSfz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzIsNull() {
            addCriterion("dsr_gm_dz is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzIsNotNull() {
            addCriterion("dsr_gm_dz is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzEqualTo(String value) {
            addCriterion("dsr_gm_dz =", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotEqualTo(String value) {
            addCriterion("dsr_gm_dz <>", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzGreaterThan(String value) {
            addCriterion("dsr_gm_dz >", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_dz >=", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzLessThan(String value) {
            addCriterion("dsr_gm_dz <", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_dz <=", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzLike(String value) {
            addCriterion("dsr_gm_dz like", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotLike(String value) {
            addCriterion("dsr_gm_dz not like", value, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzIn(List<String> values) {
            addCriterion("dsr_gm_dz in", values, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotIn(List<String> values) {
            addCriterion("dsr_gm_dz not in", values, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzBetween(String value1, String value2) {
            addCriterion("dsr_gm_dz between", value1, value2, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmDzNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_dz not between", value1, value2, "dsrGmDz");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelIsNull() {
            addCriterion("dsr_gm_tel is null");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelIsNotNull() {
            addCriterion("dsr_gm_tel is not null");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelEqualTo(String value) {
            addCriterion("dsr_gm_tel =", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotEqualTo(String value) {
            addCriterion("dsr_gm_tel <>", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelGreaterThan(String value) {
            addCriterion("dsr_gm_tel >", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelGreaterThanOrEqualTo(String value) {
            addCriterion("dsr_gm_tel >=", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelLessThan(String value) {
            addCriterion("dsr_gm_tel <", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelLessThanOrEqualTo(String value) {
            addCriterion("dsr_gm_tel <=", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelLike(String value) {
            addCriterion("dsr_gm_tel like", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotLike(String value) {
            addCriterion("dsr_gm_tel not like", value, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelIn(List<String> values) {
            addCriterion("dsr_gm_tel in", values, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotIn(List<String> values) {
            addCriterion("dsr_gm_tel not in", values, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelBetween(String value1, String value2) {
            addCriterion("dsr_gm_tel between", value1, value2, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andDsrGmTelNotBetween(String value1, String value2) {
            addCriterion("dsr_gm_tel not between", value1, value2, "dsrGmTel");
            return (Criteria) this;
        }

        public Criteria andSajlqmIsNull() {
            addCriterion("sajlqm is null");
            return (Criteria) this;
        }

        public Criteria andSajlqmIsNotNull() {
            addCriterion("sajlqm is not null");
            return (Criteria) this;
        }

        public Criteria andSajlqmEqualTo(String value) {
            addCriterion("sajlqm =", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmNotEqualTo(String value) {
            addCriterion("sajlqm <>", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmGreaterThan(String value) {
            addCriterion("sajlqm >", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmGreaterThanOrEqualTo(String value) {
            addCriterion("sajlqm >=", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmLessThan(String value) {
            addCriterion("sajlqm <", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmLessThanOrEqualTo(String value) {
            addCriterion("sajlqm <=", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmLike(String value) {
            addCriterion("sajlqm like", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmNotLike(String value) {
            addCriterion("sajlqm not like", value, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmIn(List<String> values) {
            addCriterion("sajlqm in", values, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmNotIn(List<String> values) {
            addCriterion("sajlqm not in", values, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmBetween(String value1, String value2) {
            addCriterion("sajlqm between", value1, value2, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andSajlqmNotBetween(String value1, String value2) {
            addCriterion("sajlqm not between", value1, value2, "sajlqm");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("create_time is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("create_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(String value) {
            addCriterion("create_time =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(String value) {
            addCriterion("create_time <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(String value) {
            addCriterion("create_time >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(String value) {
            addCriterion("create_time >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(String value) {
            addCriterion("create_time <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(String value) {
            addCriterion("create_time <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLike(String value) {
            addCriterion("create_time like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotLike(String value) {
            addCriterion("create_time not like", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<String> values) {
            addCriterion("create_time in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<String> values) {
            addCriterion("create_time not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(String value1, String value2) {
            addCriterion("create_time between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(String value1, String value2) {
            addCriterion("create_time not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNull() {
            addCriterion("create_by is null");
            return (Criteria) this;
        }

        public Criteria andCreateByIsNotNull() {
            addCriterion("create_by is not null");
            return (Criteria) this;
        }

        public Criteria andCreateByEqualTo(String value) {
            addCriterion("create_by =", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotEqualTo(String value) {
            addCriterion("create_by <>", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThan(String value) {
            addCriterion("create_by >", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByGreaterThanOrEqualTo(String value) {
            addCriterion("create_by >=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThan(String value) {
            addCriterion("create_by <", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLessThanOrEqualTo(String value) {
            addCriterion("create_by <=", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByLike(String value) {
            addCriterion("create_by like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotLike(String value) {
            addCriterion("create_by not like", value, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByIn(List<String> values) {
            addCriterion("create_by in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotIn(List<String> values) {
            addCriterion("create_by not in", values, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByBetween(String value1, String value2) {
            addCriterion("create_by between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andCreateByNotBetween(String value1, String value2) {
            addCriterion("create_by not between", value1, value2, "createBy");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNull() {
            addCriterion("ylzd1 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd1IsNotNull() {
            addCriterion("ylzd1 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd1EqualTo(String value) {
            addCriterion("ylzd1 =", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotEqualTo(String value) {
            addCriterion("ylzd1 <>", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThan(String value) {
            addCriterion("ylzd1 >", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd1 >=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThan(String value) {
            addCriterion("ylzd1 <", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1LessThanOrEqualTo(String value) {
            addCriterion("ylzd1 <=", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Like(String value) {
            addCriterion("ylzd1 like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotLike(String value) {
            addCriterion("ylzd1 not like", value, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1In(List<String> values) {
            addCriterion("ylzd1 in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotIn(List<String> values) {
            addCriterion("ylzd1 not in", values, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1Between(String value1, String value2) {
            addCriterion("ylzd1 between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd1NotBetween(String value1, String value2) {
            addCriterion("ylzd1 not between", value1, value2, "ylzd1");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNull() {
            addCriterion("ylzd2 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd2IsNotNull() {
            addCriterion("ylzd2 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd2EqualTo(String value) {
            addCriterion("ylzd2 =", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotEqualTo(String value) {
            addCriterion("ylzd2 <>", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThan(String value) {
            addCriterion("ylzd2 >", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd2 >=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThan(String value) {
            addCriterion("ylzd2 <", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2LessThanOrEqualTo(String value) {
            addCriterion("ylzd2 <=", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Like(String value) {
            addCriterion("ylzd2 like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotLike(String value) {
            addCriterion("ylzd2 not like", value, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2In(List<String> values) {
            addCriterion("ylzd2 in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotIn(List<String> values) {
            addCriterion("ylzd2 not in", values, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2Between(String value1, String value2) {
            addCriterion("ylzd2 between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd2NotBetween(String value1, String value2) {
            addCriterion("ylzd2 not between", value1, value2, "ylzd2");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNull() {
            addCriterion("ylzd3 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd3IsNotNull() {
            addCriterion("ylzd3 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd3EqualTo(String value) {
            addCriterion("ylzd3 =", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotEqualTo(String value) {
            addCriterion("ylzd3 <>", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThan(String value) {
            addCriterion("ylzd3 >", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd3 >=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThan(String value) {
            addCriterion("ylzd3 <", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3LessThanOrEqualTo(String value) {
            addCriterion("ylzd3 <=", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Like(String value) {
            addCriterion("ylzd3 like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotLike(String value) {
            addCriterion("ylzd3 not like", value, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3In(List<String> values) {
            addCriterion("ylzd3 in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotIn(List<String> values) {
            addCriterion("ylzd3 not in", values, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3Between(String value1, String value2) {
            addCriterion("ylzd3 between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd3NotBetween(String value1, String value2) {
            addCriterion("ylzd3 not between", value1, value2, "ylzd3");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNull() {
            addCriterion("ylzd4 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd4IsNotNull() {
            addCriterion("ylzd4 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd4EqualTo(String value) {
            addCriterion("ylzd4 =", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotEqualTo(String value) {
            addCriterion("ylzd4 <>", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThan(String value) {
            addCriterion("ylzd4 >", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd4 >=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThan(String value) {
            addCriterion("ylzd4 <", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4LessThanOrEqualTo(String value) {
            addCriterion("ylzd4 <=", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Like(String value) {
            addCriterion("ylzd4 like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotLike(String value) {
            addCriterion("ylzd4 not like", value, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4In(List<String> values) {
            addCriterion("ylzd4 in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotIn(List<String> values) {
            addCriterion("ylzd4 not in", values, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4Between(String value1, String value2) {
            addCriterion("ylzd4 between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd4NotBetween(String value1, String value2) {
            addCriterion("ylzd4 not between", value1, value2, "ylzd4");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNull() {
            addCriterion("ylzd5 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd5IsNotNull() {
            addCriterion("ylzd5 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd5EqualTo(String value) {
            addCriterion("ylzd5 =", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotEqualTo(String value) {
            addCriterion("ylzd5 <>", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThan(String value) {
            addCriterion("ylzd5 >", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd5 >=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThan(String value) {
            addCriterion("ylzd5 <", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5LessThanOrEqualTo(String value) {
            addCriterion("ylzd5 <=", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Like(String value) {
            addCriterion("ylzd5 like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotLike(String value) {
            addCriterion("ylzd5 not like", value, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5In(List<String> values) {
            addCriterion("ylzd5 in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotIn(List<String> values) {
            addCriterion("ylzd5 not in", values, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5Between(String value1, String value2) {
            addCriterion("ylzd5 between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andYlzd5NotBetween(String value1, String value2) {
            addCriterion("ylzd5 not between", value1, value2, "ylzd5");
            return (Criteria) this;
        }

        public Criteria andState7IsNull() {
            addCriterion("state7 is null");
            return (Criteria) this;
        }

        public Criteria andState7IsNotNull() {
            addCriterion("state7 is not null");
            return (Criteria) this;
        }

        public Criteria andState7EqualTo(String value) {
            addCriterion("state7 =", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7NotEqualTo(String value) {
            addCriterion("state7 <>", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7GreaterThan(String value) {
            addCriterion("state7 >", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7GreaterThanOrEqualTo(String value) {
            addCriterion("state7 >=", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7LessThan(String value) {
            addCriterion("state7 <", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7LessThanOrEqualTo(String value) {
            addCriterion("state7 <=", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7Like(String value) {
            addCriterion("state7 like", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7NotLike(String value) {
            addCriterion("state7 not like", value, "state7");
            return (Criteria) this;
        }

        public Criteria andState7In(List<String> values) {
            addCriterion("state7 in", values, "state7");
            return (Criteria) this;
        }

        public Criteria andState7NotIn(List<String> values) {
            addCriterion("state7 not in", values, "state7");
            return (Criteria) this;
        }

        public Criteria andState7Between(String value1, String value2) {
            addCriterion("state7 between", value1, value2, "state7");
            return (Criteria) this;
        }

        public Criteria andState7NotBetween(String value1, String value2) {
            addCriterion("state7 not between", value1, value2, "state7");
            return (Criteria) this;
        }

        public Criteria andCreatorNameIsNull() {
            addCriterion("creator_name is null");
            return (Criteria) this;
        }

        public Criteria andCreatorNameIsNotNull() {
            addCriterion("creator_name is not null");
            return (Criteria) this;
        }

        public Criteria andCreatorNameEqualTo(String value) {
            addCriterion("creator_name =", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameNotEqualTo(String value) {
            addCriterion("creator_name <>", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameGreaterThan(String value) {
            addCriterion("creator_name >", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameGreaterThanOrEqualTo(String value) {
            addCriterion("creator_name >=", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameLessThan(String value) {
            addCriterion("creator_name <", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameLessThanOrEqualTo(String value) {
            addCriterion("creator_name <=", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameLike(String value) {
            addCriterion("creator_name like", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameNotLike(String value) {
            addCriterion("creator_name not like", value, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameIn(List<String> values) {
            addCriterion("creator_name in", values, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameNotIn(List<String> values) {
            addCriterion("creator_name not in", values, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameBetween(String value1, String value2) {
            addCriterion("creator_name between", value1, value2, "creatorName");
            return (Criteria) this;
        }

        public Criteria andCreatorNameNotBetween(String value1, String value2) {
            addCriterion("creator_name not between", value1, value2, "creatorName");
            return (Criteria) this;
        }

        public Criteria andAjflIsNull() {
            addCriterion("ajfl is null");
            return (Criteria) this;
        }

        public Criteria andAjflIsNotNull() {
            addCriterion("ajfl is not null");
            return (Criteria) this;
        }

        public Criteria andAjflEqualTo(String value) {
            addCriterion("ajfl =", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflNotEqualTo(String value) {
            addCriterion("ajfl <>", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflGreaterThan(String value) {
            addCriterion("ajfl >", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflGreaterThanOrEqualTo(String value) {
            addCriterion("ajfl >=", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflLessThan(String value) {
            addCriterion("ajfl <", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflLessThanOrEqualTo(String value) {
            addCriterion("ajfl <=", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflLike(String value) {
            addCriterion("ajfl like", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflNotLike(String value) {
            addCriterion("ajfl not like", value, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflIn(List<String> values) {
            addCriterion("ajfl in", values, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflNotIn(List<String> values) {
            addCriterion("ajfl not in", values, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflBetween(String value1, String value2) {
            addCriterion("ajfl between", value1, value2, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjflNotBetween(String value1, String value2) {
            addCriterion("ajfl not between", value1, value2, "ajfl");
            return (Criteria) this;
        }

        public Criteria andAjyxIsNull() {
            addCriterion("ajyx is null");
            return (Criteria) this;
        }

        public Criteria andAjyxIsNotNull() {
            addCriterion("ajyx is not null");
            return (Criteria) this;
        }

        public Criteria andAjyxEqualTo(String value) {
            addCriterion("ajyx =", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxNotEqualTo(String value) {
            addCriterion("ajyx <>", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxGreaterThan(String value) {
            addCriterion("ajyx >", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxGreaterThanOrEqualTo(String value) {
            addCriterion("ajyx >=", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxLessThan(String value) {
            addCriterion("ajyx <", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxLessThanOrEqualTo(String value) {
            addCriterion("ajyx <=", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxLike(String value) {
            addCriterion("ajyx like", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxNotLike(String value) {
            addCriterion("ajyx not like", value, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxIn(List<String> values) {
            addCriterion("ajyx in", values, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxNotIn(List<String> values) {
            addCriterion("ajyx not in", values, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxBetween(String value1, String value2) {
            addCriterion("ajyx between", value1, value2, "ajyx");
            return (Criteria) this;
        }

        public Criteria andAjyxNotBetween(String value1, String value2) {
            addCriterion("ajyx not between", value1, value2, "ajyx");
            return (Criteria) this;
        }

        public Criteria andIsZdajIsNull() {
            addCriterion("is_zdaj is null");
            return (Criteria) this;
        }

        public Criteria andIsZdajIsNotNull() {
            addCriterion("is_zdaj is not null");
            return (Criteria) this;
        }

        public Criteria andIsZdajEqualTo(String value) {
            addCriterion("is_zdaj =", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajNotEqualTo(String value) {
            addCriterion("is_zdaj <>", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajGreaterThan(String value) {
            addCriterion("is_zdaj >", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajGreaterThanOrEqualTo(String value) {
            addCriterion("is_zdaj >=", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajLessThan(String value) {
            addCriterion("is_zdaj <", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajLessThanOrEqualTo(String value) {
            addCriterion("is_zdaj <=", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajLike(String value) {
            addCriterion("is_zdaj like", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajNotLike(String value) {
            addCriterion("is_zdaj not like", value, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajIn(List<String> values) {
            addCriterion("is_zdaj in", values, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajNotIn(List<String> values) {
            addCriterion("is_zdaj not in", values, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajBetween(String value1, String value2) {
            addCriterion("is_zdaj between", value1, value2, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andIsZdajNotBetween(String value1, String value2) {
            addCriterion("is_zdaj not between", value1, value2, "isZdaj");
            return (Criteria) this;
        }

        public Criteria andYlzd25IsNull() {
            addCriterion("ylzd25 is null");
            return (Criteria) this;
        }

        public Criteria andYlzd25IsNotNull() {
            addCriterion("ylzd25 is not null");
            return (Criteria) this;
        }

        public Criteria andYlzd25EqualTo(String value) {
            addCriterion("ylzd25 =", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25NotEqualTo(String value) {
            addCriterion("ylzd25 <>", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25GreaterThan(String value) {
            addCriterion("ylzd25 >", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25GreaterThanOrEqualTo(String value) {
            addCriterion("ylzd25 >=", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25LessThan(String value) {
            addCriterion("ylzd25 <", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25LessThanOrEqualTo(String value) {
            addCriterion("ylzd25 <=", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25Like(String value) {
            addCriterion("ylzd25 like", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25NotLike(String value) {
            addCriterion("ylzd25 not like", value, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25In(List<String> values) {
            addCriterion("ylzd25 in", values, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25NotIn(List<String> values) {
            addCriterion("ylzd25 not in", values, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25Between(String value1, String value2) {
            addCriterion("ylzd25 between", value1, value2, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andYlzd25NotBetween(String value1, String value2) {
            addCriterion("ylzd25 not between", value1, value2, "ylzd25");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionIsNull() {
            addCriterion("execute_condition is null");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionIsNotNull() {
            addCriterion("execute_condition is not null");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionEqualTo(String value) {
            addCriterion("execute_condition =", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionNotEqualTo(String value) {
            addCriterion("execute_condition <>", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionGreaterThan(String value) {
            addCriterion("execute_condition >", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionGreaterThanOrEqualTo(String value) {
            addCriterion("execute_condition >=", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionLessThan(String value) {
            addCriterion("execute_condition <", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionLessThanOrEqualTo(String value) {
            addCriterion("execute_condition <=", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionLike(String value) {
            addCriterion("execute_condition like", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionNotLike(String value) {
            addCriterion("execute_condition not like", value, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionIn(List<String> values) {
            addCriterion("execute_condition in", values, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionNotIn(List<String> values) {
            addCriterion("execute_condition not in", values, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionBetween(String value1, String value2) {
            addCriterion("execute_condition between", value1, value2, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andExecuteConditionNotBetween(String value1, String value2) {
            addCriterion("execute_condition not between", value1, value2, "executeCondition");
            return (Criteria) this;
        }

        public Criteria andReconsiderationIsNull() {
            addCriterion("reconsideration is null");
            return (Criteria) this;
        }

        public Criteria andReconsiderationIsNotNull() {
            addCriterion("reconsideration is not null");
            return (Criteria) this;
        }

        public Criteria andReconsiderationEqualTo(String value) {
            addCriterion("reconsideration =", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationNotEqualTo(String value) {
            addCriterion("reconsideration <>", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationGreaterThan(String value) {
            addCriterion("reconsideration >", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationGreaterThanOrEqualTo(String value) {
            addCriterion("reconsideration >=", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationLessThan(String value) {
            addCriterion("reconsideration <", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationLessThanOrEqualTo(String value) {
            addCriterion("reconsideration <=", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationLike(String value) {
            addCriterion("reconsideration like", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationNotLike(String value) {
            addCriterion("reconsideration not like", value, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationIn(List<String> values) {
            addCriterion("reconsideration in", values, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationNotIn(List<String> values) {
            addCriterion("reconsideration not in", values, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationBetween(String value1, String value2) {
            addCriterion("reconsideration between", value1, value2, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andReconsiderationNotBetween(String value1, String value2) {
            addCriterion("reconsideration not between", value1, value2, "reconsideration");
            return (Criteria) this;
        }

        public Criteria andBriefIsNull() {
            addCriterion("brief is null");
            return (Criteria) this;
        }

        public Criteria andBriefIsNotNull() {
            addCriterion("brief is not null");
            return (Criteria) this;
        }

        public Criteria andBriefEqualTo(String value) {
            addCriterion("brief =", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefNotEqualTo(String value) {
            addCriterion("brief <>", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefGreaterThan(String value) {
            addCriterion("brief >", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefGreaterThanOrEqualTo(String value) {
            addCriterion("brief >=", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefLessThan(String value) {
            addCriterion("brief <", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefLessThanOrEqualTo(String value) {
            addCriterion("brief <=", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefLike(String value) {
            addCriterion("brief like", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefNotLike(String value) {
            addCriterion("brief not like", value, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefIn(List<String> values) {
            addCriterion("brief in", values, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefNotIn(List<String> values) {
            addCriterion("brief not in", values, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefBetween(String value1, String value2) {
            addCriterion("brief between", value1, value2, "brief");
            return (Criteria) this;
        }

        public Criteria andBriefNotBetween(String value1, String value2) {
            addCriterion("brief not between", value1, value2, "brief");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria implements Serializable {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion implements Serializable {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}